package com.persagy.adm.diagram.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.adm.diagram.entity.LegendEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface LegendMapper extends BaseMapper<LegendEntity> {

    List<LegendEntity> getLegends(String systemCode);

    LegendEntity getLegend(@Param("legendId") String legendId, @Param("systemCode") String systemCode);

    void saveLegend(LegendEntity legendEntity);

    boolean deleteLegend(@Param("legendId") String legendId, @Param("systemCode") String systemCode);
}
